<?php
# Copyright © VeriTrans Inc. All rights reserved.

// -------------------------------------------------------------------------
// Amazon Pay入力画面のサンプル
// -------------------------------------------------------------------------

  $order_id = "dummy".time();

  $config_file = "../env4sample.ini";

  if (is_readable($config_file)) {
    $env_info = @parse_ini_file($config_file, true);
    $base_url = $env_info["Common"]["base.url"];
    $successUrl = array_key_exists('successUrl', $_POST) ? $_POST['successUrl'] : $env_info["Amazonpay"]["success.url"];
    $cancelUrl = array_key_exists('cancelUrl', $_POST) ? $_POST['cancelUrl'] : $env_info["Amazonpay"]["cancel.url"];
    $errorUrl = array_key_exists('errorUrl', $_POST) ? $_POST['errorUrl'] : $env_info["Amazonpay"]["error.url"];
    $payConfirmScreenUrl = array_key_exists('payConfirmScreenUrl', $_POST) ? $_POST['payConfirmScreenUrl'] : $env_info["Amazonpay"]["payConfirmScreen.url"];
  }

  if (!defined('MDK_DIR')) {
    define('MDK_DIR', '../tgMdk/');
  }
  require_once(MDK_DIR."3GPSMDK.php");

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - Amazon Payサンプル画面</title>
<link href="../css/style.css?1286186298" media="all" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}
</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G Amazon Payの取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>
<?php
  if (!empty($warning)) {
    echo $warning."<br><br>";
  }
?>

<table>
<tr>
  <td>
    <div class="lhtitle">Amazon Pay：決済請求</div>
  </td>
  <td>
    <img src="../WEB-IMG/amazonpay.png"/>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_AMAZONPAY" method="post" action="AuthorizeExec.php" accept-charset="UTF-8">

<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><?php echo $order_id ?>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<?php echo $order_id ?>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_AMAZONPAY, 'Authorize.php');"></td>
</tr>

<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><input type="text" maxlength="8" size="9" name="amount" value="<?php echo htmlspecialchars(@$_POST["amount"]); ?><?php echo htmlspecialchars(@$_GET["price"]); ?>"></td>
</tr>

<tr>
  <td class="ititle">売上フラグ</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value="0"<?php if ("0" == htmlspecialchars(@$_POST["withCapture"])) { echo " selected"; } ?>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="1"<?php if ("1" == htmlspecialchars(@$_POST["withCapture"])) { echo " selected"; } ?>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">配送先表示抑止フラグ</td>
  <td class="ivalue">
    <select name="suppressShippingAddressView">
      <option value="0"<?php if ("0" == htmlspecialchars(@$_POST["suppressShippingAddressView"])) { echo " selected"; } ?>>配送先表示</option>
      <option value="1"<?php if ("1" == htmlspecialchars(@$_POST["suppressShippingAddressView"])) { echo " selected"; } ?>>配送先表示抑止</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">注文説明</td>
  <td class="ivalue"><input type="text" maxlength="255" size="70" name="noteToBuyer" value="<?php echo htmlspecialchars(@$_POST["noteToBuyer"]); ?>"></td>
</tr>

<tr id="success" style="display:">
  <td class="ititle">完了時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="successUrl" value="<?php if (isset($_POST["successUrl"])) { echo htmlspecialchars(@$_POST["successUrl"]); } else{ echo $successUrl; } ?>"></td>
</tr>

<tr id="cancel" style="display:">
  <td class="ititle">キャンセル時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="cancelUrl" value="<?php if (isset($_POST["cancelUrl"])) { echo htmlspecialchars(@$_POST["cancelUrl"]); } else{ echo $cancelUrl; } ?>"></td>
</tr>

<tr id="error" style="display:">
  <td class="ititle">エラー時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="errorUrl" value="<?php if (isset($_POST["errorUrl"])) { echo htmlspecialchars(@$_POST["errorUrl"]); } else{ echo $errorUrl; } ?>"></td>
</tr>

<tr>
  <td class="ititle">決済確認画面種別</td>
  <td class="ivalue">
    <select name="payConfirmScreenType">
      <option value=""></option>
      <option value="0"<?php if ("0" == htmlspecialchars(@$_POST["payConfirmScreenType"])) { echo " selected"; } ?>>0：DGFT決済確認画面利用</option>
      <option value="1"<?php if ("1" == htmlspecialchars(@$_POST["payConfirmScreenType"])) { echo " selected"; } ?>>1：加盟店様決済確認画面利用</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">決済確認画面URL</td>
  <td class="ivalue">
    <input type="text" maxlength="256" size="70" name="payConfirmScreenUrl" value="<?php if (isset($_POST["payConfirmScreenUrl"])) { echo htmlspecialchars(@$_POST["payConfirmScreenUrl"]); } else{ echo $payConfirmScreenUrl; } ?>">
  </td>
</tr>

<tr>
  <td colspan="2">&nbsp;</td>
</tr>

<tr>
  <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>

<input type="hidden" name="hidSuccessUrl" value="<?php echo htmlspecialchars($successUrl); ?>" />
<input type="hidden" name="hidCancelUrl" value="<?php echo htmlspecialchars($cancelUrl); ?>" />
<input type="hidden" name="hidErrorUrl" value="<?php echo htmlspecialchars($errorUrl); ?>" />

</form>
</table>

<br>
<a href="../PaymentMethodSelect.php">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved


</body>
</html>
