<?php
# Copyright © VeriTrans Inc. All rights reserved.

// -------------------------------------------------------------------------
// Amazon Payの決済確認画面のサンプル
// -------------------------------------------------------------------------

define('MDK_DIR', '../tgMdk/');

define('TXN_FAILURE_CODE', 'failure');
define('TXN_PENDING_CODE', 'pending');
define('TXN_SUCCESS_CODE', 'success');
define('TRUE_FLAG_CODE', 'true');
define('FALSE_FLAG_CODE', 'false');

define('ERROR_PAGE_TITLE', 'System Error');
define('NORMAL_PAGE_TITLE', '決済確認画面');

require_once(MDK_DIR."3GPSMDK.php");

/**
 * サーバー側で保持していた情報を取得
 */
session_start();
$order_id = $_SESSION['order_id'];
$amount = $_SESSION['amount'];
$original_amount = $_SESSION['original_amount'];
$pay_redirect_url = $_SESSION['pay_redirectUrl'];

// 金額に変更があれば更新のリクエストを実施する
if( $amount != $original_amount) {
  /**
   * 要求電文パラメータ値の指定
   */
  $request_data = new AmazonpayUpdateAuthorizeRequestDto();

  $request_data->setOrderId($order_id);
  $request_data->setAmount($amount);

  /**
   * 実施
   */
  $transaction = new TGMDK_Transaction();
  $response_data = $transaction->execute($request_data);

  //予期しない例外
  if (!isset($response_data)) {
    $page_title = ERROR_PAGE_TITLE;
  //想定応答の取得
  } else {
    if (TXN_SUCCESS_CODE === $response_data->getMStatus()) {
      $pay_redirect_url = $response_data->getPayRedirectUrl();
    } else {
      $page_title = ERROR_PAGE_TITLE;
    }
  }
} 
if ( isset($pay_redirect_url) && is_null($page_title) ) {
  header("Location: " . $pay_redirect_url, true, 302);
  exit;
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title><?php echo $page_title ?></title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G Amazon Payの取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>

<div class="lhtitle">Amazon Pay：決済確認画面</div>

<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">取引ID</td>
    <td class="rivaluetop"><?php echo $response_data->getOrderId() ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引ステータス</td>
    <td class="rivalue"><?php echo $response_data->getMStatus() ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果コード</td>
    <td class="rivalue"><?php echo $response_data->getVResultCode() ?><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果メッセージ</td>
    <td class="rivalue"><?php echo $response_data->getMerrMsg() ?><br/></td>
  </tr>
</table>

<br />
<a href="../PaymentMethodSelect.php">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr />
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png">&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body></html>
