<?php
# Copyright © VeriTrans Inc. All rights reserved.

// -------------------------------------------------------------------------
// 楽天ID決済入力画面のサンプル
// -------------------------------------------------------------------------

  $order_id = "dummy".time();

  $config_file = "../env4sample.ini";

  if (is_readable($config_file)) {
    $env_info = @parse_ini_file($config_file, true);
    $base_url = $env_info["Common"]["base.url"];
    $successUrl = $env_info["Rakuten"]["success.url"];
    $errorUrl = $env_info["Rakuten"]["error.url"];
    $pushUrl = $env_info["Rakuten"]["push.url"];
  }

  if (!defined('MDK_DIR')) {
    define('MDK_DIR', '../tgMdk/');
  }
  require_once(MDK_DIR."3GPSMDK.php");

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 楽天ID決済サンプル画面</title>
<link href="../css/style.css?1286186298" media="all" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
/**
 * ページを再描写する
 */
function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

/**
 * 課金種別によって金額の表示を制御する
 */
function controlAmount() {
    if (document.getElementById("accountingType")) {
        accountingTypeValue = document.getElementById("accountingType").value;
    }

    if (accountingTypeValue == "1") {
        document.getElementById("amount").value = null;
    } else {
        if (!(document.getElementById("amount").value)) {
            document.getElementById("amount").value = "100";
        }
    }
}

/**
 * 課金種別が随時なら申込ボタン、都度なら支払ボタンを表示する
 */
function changePurchaseButton() {
    if (document.getElementById("accountingType")) {
        accountingTypeValue = document.getElementById("accountingType").value;
    }

    if (accountingTypeValue == "1") {
        document.getElementById("purchase1").style.display = "";
        document.getElementById("purchase2").style.display = "none";
    } else {
        document.getElementById("purchase1").style.display = "none";
        document.getElementById("purchase2").style.display = "";
    }
    
    controlAmount();
}

// onLoadイベント
window.onload = function() {
    changePurchaseButton();
    controlAmount();
}
</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 楽天ID決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>
<?php
  if (!empty($warning)) {
    echo $warning."<br><br>";
  }
?>

<table>
<tr>
  <td>
    <div class="lhtitle">楽天ID決済：決済請求</div>
  </td>
  <td>
    <a href='https://checkout.rakuten.co.jp/' target='_blank'><img alt='楽天ペイ' src='../WEB-IMG/rakuten.png' border='0'/></a>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_RAKUTEN" method="post" action="AuthorizeExec.php">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><?php echo $order_id ?>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<?php echo $order_id ?>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_RAKUTEN, 'Authorize.php');"></td>
</tr>
<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="8" size="9" name="amount" id = "amount" value="<?php echo htmlspecialchars(@$_POST["amount"]) ?><?php echo htmlspecialchars(@$_GET["price"]) ?>"></td>
</tr>

<tr>
  <td class="ititle">決済種別</td>
  <td class="ivalue">
    <select name="payType">
      <option value=""></option>
      <option value="0"<?php if ("0" == htmlspecialchars(@$_POST["payType"])) { echo " selected"; } ?>>オンライン決済</option>
      <option value="2"<?php if ("2" == htmlspecialchars(@$_POST["payType"])) { echo " selected"; } ?>>オンライン決済（V2）</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="false"<?php if ("false" == htmlspecialchars(@$_POST["withCapture"])) { echo " selected"; } ?>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="true"<?php if ("true" == htmlspecialchars(@$_POST["withCapture"])) { echo " selected"; } ?>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">課金種別</td>
  <td class="ivalue">
    <select name="accountingType" id="accountingType" onchange="changePurchaseButton()">
      <option value=""></option>
      <option value="0"<?php if ("0" == htmlspecialchars(@$_POST["accountingType"])) { echo " selected"; } ?>>都度</option>
      <option value="1"<?php if ("1" == htmlspecialchars(@$_POST["accountingType"])) { echo " selected"; } ?>>随時</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">商品番号</td>
  <td class="ivalue"><input type="text" maxlength="64" size="20" name="itemId" value="<?php echo htmlspecialchars(@$_POST["itemId"]) ?>"></td>
</tr>

<tr>
  <td class="ititle">商品名</td>
  <td class="ivalue">
    <input type="text" maxlength="300" size="40" name="itemName" value="<?php echo htmlspecialchars(@$_POST["itemName"]) ?><?php echo htmlspecialchars(@$_GET["item_name"]) ?>"><br/>
    <font size="2" color="red">※都度決済：300文字以内</font><br/>
    <font size="2" color="red">※随時決済：200文字以内</font>
  </td>
</tr>

<tr id="success" style="display:">
  <td class="ititle">決済完了時URL</td>
  <td class="ivalue"><input type="text" maxlength="1024" size="70" name="successUrl" value="<?php if (isset($_POST["successUrl"])) { echo htmlspecialchars(@$_POST["successUrl"]); } else{ echo $successUrl; } ?>"></td>
</tr>

<tr id="error" style="display:">
  <td class="ititle">決済エラー時URL</td>
  <td class="ivalue"><input type="text" maxlength="1024" size="70" name="errorUrl" value="<?php if (isset($_POST["errorUrl"])) { echo htmlspecialchars(@$_POST["errorUrl"]); } else{ echo $errorUrl; } ?>"></td>
</tr>
<tr>
  <td class="ititle">プッシュURL</td>
  <td class="ivalue">
    <input type="text" maxlength="1024" size="70" name="pushUrl" value="<?php if (isset($_POST["pushUrl"])) { echo htmlspecialchars(@$_POST["pushUrl"]); } else{ echo $pushUrl; } ?>"><br/>
  </td>
</tr>

<tr>
  <td colspan="2">&nbsp;</td>
</tr>

<tr>
  <td colspan="2">
    <button id="purchase1" style="border: none; background:transparent; display: none">
    <script src='https://contents.online.checkout.rakuten.co.jp/live/button/v1/rakuten-pay.js'
            class='rakuten-subscription-button' data-button-type='default' data-buttonwidth='200'></script>
    <noscript>Rakuten Pay で申込</noscript>
    </button>
    <button id="purchase2" style="border: none; background:transparent">
    <script src='https://contents.online.checkout.rakuten.co.jp/live/button/v1/rakuten-pay.js'
            class='rakuten-checkout-button' data-button-type='default' data-buttonwidth='200'></script>
    <noscript>Rakuten Pay で購入</noscript>
    </button>&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
  </td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.php">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved


</body>
</html>
